Subject: bug#25296: fully functional desktop installation

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 16 Jan 2018 12:09:29 +0100

Hi,

> Hmm, OK.  Do you think it’s too much to ask, given the current audience
> (tinkerers), to add those packages to their config, or to install them
> with “guix package -i”?

I think one of the nice features of Guix is that the user can install packages on their own.  Other distributions leave the decision of which packages to install up to the administrator (a separate person in companies).  I work in a very large company where often some simple stuff is missing on servers and admins will not install it for fear of fucking up some unrelated already-installed package (understandable since all the dependencies are dynamic in Solaris and applications will just pick up whatever is lying around in the global namespace).

Long story short, I think it's a good thing that the user has his own profile which isn't magically updated and doesn't magically pick up things not in the user profile - except when it's already in the store bitwise-identical.  That way, if he needs some application for work it will not randomly break and he can be sure that it will do what it did yesterday.  If he wants to update, he updates.  Otherwise not.  His choice.

So long story short, I myself prefer having no applications in the system profile and the user installing all (business-relevant) applications themselves.  It gives control to the user.

(my "packages" field is:
  (packages (cons* nss-certs         ;for HTTPS access
                   font-adobe100dpi font-adobe75dpi font-bitstream-vera font-dejavu font-gnu-freefont-ttf font-gnu-unifont font-liberation font-ubuntu
                   adwaita-icon-theme
                   %base-packages)) ; xterm is there by default.

And the ones that are still in there bother me :)
)

As for libreoffice and other large packages, maybe I'm old-fashioned, but huge packages waste disk space and provide an attack surface for exploits - and maybe no regular user uses it.

That said, I've installed it :P

I'd vote for adding libreoffice and icecat to desktop.tmpl and not to gnome (since they are not part of the GNOME project).

Users who like a minimal system can always use lightweight-desktop.tmpl or even bare-bones.tmpl.

And I think it's important to mention the approximate space requirements for desktop.tmpl in the manual (for partitioning).